<script>
// ruleid: okay-form-select-vue-component
import { GlFormSelect } from '@gitlab/ui';

export default {
  components: {
    GlFormSelect,
  },
  computed: {
    classes() {
      // ruleid: form-select-class-vue
      return ['some-classname', 'gl-form-select', 'foobar'];
    },
  },
};
</script>
<template>
  <div>
    <!-- ok: form-select-class-vue -->
    <gl-form-select>
      I am a good select
    </gl-form-select>

    <!-- ruleid: form-select-class-vue -->
    <div class="gl-form-select">
      This class should not be used outside the GlFormSelect component
    </div>

    <!-- ruleid: form-select-native-vue -->
    <select>
      I am a native select
    </select>
  </div>
</template>
